{
  "type" : "record",
  "name" : "SearchReferencesRequest",
  "namespace" : "org.ga4gh.methods",
  "doc" : "This request maps to the body of `POST /references/search`\nas JSON.",
  "fields" : [ {
    "name" : "referenceSetId",
    "type" : [ "null", "string" ],
    "doc" : "If not null, return only references which belong to this reference set.",
    "default" : null
  }, {
    "name" : "md5checksums",
    "type" : {
      "type" : "array",
      "items" : "string"
    },
    "doc" : "If nonempty, return references which match any of the given `md5checksums`.\n  See `Reference::md5checksum` for details.",
    "default" : [ ]
  }, {
    "name" : "accessions",
    "type" : {
      "type" : "array",
      "items" : "string"
    },
    "doc" : "If nonempty, return references for which the accession\n  matches this string. Best to give a version number e.g. `GCF_000001405.26`.\n  If only the main accession number is given then all records with\n  that main accession will be returned, whichever version.\n  Note that different versions will have different sequences.",
    "default" : [ ]
  }, {
    "name" : "pageSize",
    "type" : [ "null", "int" ],
    "doc" : "Specifies the maximum number of results to return in a single page.\n  If unspecified, a system default will be used.",
    "default" : null
  }, {
    "name" : "pageToken",
    "type" : [ "null", "string" ],
    "doc" : "The continuation token, which is used to page through large result sets.\n  To get the next page of results, set this parameter to the value of\n  `nextPageToken` from the previous response.",
    "default" : null
  } ]
}
